<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Купить защиту';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user)){

$action=htmlspecialchars(trim($_GET['action']));

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/description_image_vertuhai.gif" alt="*" /></div>';

# блоки
switch($_GET['action']){

#********************* Главный блок *****************#
default:

# текст
echo '<div class="zona_menu">
Здарова баклан.<br/>
Если у тебя нормально бабла при нычке , и ты не хочешь что бы его потянули , то ты обратился куда надо .<br/>
За определенную суму я буду присматривать за твоей камерой , и не один вор не проскочит .
</div>';


# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_security.php?action=lot_1"> Купить на 1 час</a> за 15 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_security.php?action=lot_6"> Купить на 6 часов</a> за 60 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_security.php?action=lot_12"> Купить на 12 часов</a> за 100 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_security.php?action=lot_48"> Купить на 48 часов</a> за 380 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';

# конец
break;



#********************* 1 *****************#
case 'lot_1':

# бабок нет
if($user['zona_balls']<15){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки мента нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 15 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_atack_securuty`='".(time()+3600)."' ,`zona_balls`=`zona_balls`-'15' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Теперь ваша камера защищена от шмона на 1 час .
</div>';
}

# конец
break;


#********************* 1 *****************#
case 'lot_6':

# бабок нет
if($user['zona_balls']<60){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки мента нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 60 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_atack_securuty`='".(time()+21600)."' ,`zona_balls`=`zona_balls`-'60' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Теперь ваша камера защищена от шмона на 6 часов .
</div>';
}

# конец
break;



#********************* 1 *****************#
case 'lot_12':

# бабок нет
if($user['zona_balls']<100){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки мента нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 100 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_atack_securuty`='".(time()+43200)."' ,`zona_balls`=`zona_balls`-'100' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Теперь ваша камера защищена от шмона на 12 часов .
</div>';
}

# конец
break;


#********************* 1 *****************#
case 'lot_48':

# бабок нет
if($user['zona_balls']<380){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки мента нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 380 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_atack_securuty`='".(time()+172800)."' ,`zona_balls`=`zona_balls`-'380' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Теперь ваша камера защищена от шмона на 48 часов .
</div>';
}

# конец
break;

}
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_dexterity.png" alt="*" /> <a href="black.php"> Обратно в магазин</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';
}

else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
include_once '../../sys/inc/tfoot.php';
?>
